Reporting API
June 15, 2026
Get CDR pagination is updated and improved:
- Added cursor-based pagination to Get list of CDRs (
GET /api/v4/reporting/cdrs). - Added the
cursorquery parameter. - Added
metadata.next_cursorto the response metadata. - Updated the maximum
limitfor CDR list requests from100to1000. - Clarified that offset-based pagination is limited to the first 10000 records.
- Documented cursor and offset behavior when both parameters are sent.
Related article:
Dialer campaigns: Ready to dial column
June 3, 2026
A Ready to dial column was added to the Campaigns page. The column displays the number of contacts currently available for dialing.
Related articles:
- Campaigns page
- Running a campaign
- Running a CRM campaign
- Running an API campaign
- How to run a Dialer campaign Part 1: Getting started
- How to run a Dialer campaign Part 2: Dialer campaigns
- How to run a Dialer campaign Part 3: Launching your campaign
Voice Providers: Custom TLS SIP Port Configuration
June 2, 2026
The Voice providers configuration documentation has been updated to reflect support for custom SIP port values when TLS is selected as the transport protocol. Previously, the SIP port was automatically set to 5061 and could not be changed.
Related article:
Campaigns API: AMD voicemail configuration
June 2, 2026
For the Create campaign and Partially update campaign endpoints, validation was updated for amd_voicemail_message:
- If
amd_voicemail_messageis included,amd_voicemail_message.enabledis required.
Related articles:
Campaigns API: Follow up mode
June 2, 2026
Follow up mode support was added to the Create campaign and Partially update campaign endpoints.
-
follow_up_modecontrols how follow up attempts are prioritized withinfollow_up_rules:timer(default)lowest_attempts
Related articles: